Company Accounts Receivable Billing Address
The company accounts receivable billing address resource.
/companyAccountsReceivableBillingAddressList company accounts receivable billing addresss
Retrieve a paginated list of company accounts receivable billing addresss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/companyAccountsReceivableBillingAddress?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"name": "Example",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"countryCode": "string"
}
]/companyAccountsReceivableBillingAddressRetrieve a company accounts receivable billing address
Fetch a single company accounts receivable billing address by filtering on `id`.
Query parameters
idstringMatch on the company accounts receivable billing address's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/companyAccountsReceivableBillingAddress?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"name": "Example",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"countryCode": "string"
}/companyAccountsReceivableBillingAddressCreate a company accounts receivable billing address
Create a new company accounts receivable billing address.
Body parameters
namestringaddressLine1stringaddressLine2stringcitystringstatestringpostalCodestringcountryCodestringphonestringfaxstringemailstringcurl --request POST \
--url https://rest.carbon.ms/companyAccountsReceivableBillingAddress \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'{
"id": "abc123def456",
"name": "Example",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"countryCode": "string"
}/companyAccountsReceivableBillingAddressUpdate a company accounts receivable billing address
Update an existing company accounts receivable billing address, matched on `id`.
Body parameters
namestringaddressLine1stringaddressLine2stringcitystringstatestringpostalCodestringcountryCodestringphonestringfaxstringemailstringcurl --request PATCH \
--url 'https://rest.carbon.ms/companyAccountsReceivableBillingAddress?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'{
"id": "abc123def456",
"name": "Example",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"countryCode": "string"
}/companyAccountsReceivableBillingAddressDelete a company accounts receivable billing address
Delete a company accounts receivable billing address, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the company accounts receivable billing address to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/companyAccountsReceivableBillingAddress?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'